Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

0
votes
1answer
333 views

cache/pip disabled immediately after instalation of pip

I'm running Ubuntu 15.10. I installed Pyhon 2.7 through aptitude: sudo apt-get install python now I'm trying to install pip using this guide. I downloaded get-pip.py, then I tried: sudo python get-...
1
vote
1answer
70 views

pip install --user means users cannot run application from Dash or terminal

I'm the developer of a Python GUI application. I'd like users of my application to be able to install the application using pip because not all of its dependencies have made it into Debian yet, and I ...
0
votes
0answers
18 views

Blender crashes on entering sculp mode on 12+(?) ubuntu

I think I once posted this long ago, but then it was either taken down or I deleted, since I found a way around it. I had hoped it would go away in time, but it didn't... So, the exact same version of ...
0
votes
0answers
45 views

problem building X86 for gem5

development Environment ubuntu 14.04 kernel version 4.4.3 Dear gem5 and ubuntu users, After downloading gem5, I executed the following commands and everything went well: ("in /usr/src/gem5/" ...
0
votes
0answers
48 views

How to add asynchronous subprocess call for Python Gtk Glade Button on_click method?

I am new to Python and Gtk. I have created an ubuntu application using Quickly-create. I have added a button to run the adb pull command for my rooted android phone. I wish to add a spinner which will ...
0
votes
0answers
74 views

Attempting to uninstall and reconfigure pygame for python 3.4.4 or Ubuntu 14.04

First off I want to mention I'm a scrub with ubuntu. Also I am a bit unsure if my python version is 3.4.4, but that is what it sais on my tgz file when I search for it, so I think that is correct. I'...
0
votes
0answers
137 views

Unsupported machine type Use -machine help to list supported machines

I am trying to create virtual machine on ubuntu 15.10 using virtual machine manager i have installed kvm but when i use display vnc for virtual machine it shows the following error and when i use ...
0
votes
0answers
47 views

packages 'not yet configured' - how should I solve this?

Ok, I have to rephrase my question. I'm not able to install packages because a bunch of them have apparently been installed, but not configured. When I try to configure them, however, the dependency ...
1
vote
0answers
137 views

How to “reset” python installation in ubuntu 14.04?

after installing several packages with the package manager, some others using eggs, some others using pip, for 2 versions of python, with some packages that in the meantime changed name (iPython --> ...
0
votes
0answers
57 views

Ubuntu 15.10 reset default packages

I was getting troubles with Python libraries so I made sudo apt-get remove python* to reinstall everything related with Python from scrach. But then I did sudo apt-get autoremove and a lot of ...
2
votes
1answer
203 views

What is the recommended way to install pip on Snappy Ubuntu Core?

I would like to provision Docker running on Ubuntu Core with Ansible. For that I need to get docker-py on the machine. Snappy already comes with Python installed, but pip is not provided. Running the ...
2
votes
0answers
27 views

Sound Indicator integration help

I have been trying to add my application to the Sound Indicator menu in Unity for about a week now. The lack of documentation on the subject is honestly appalling. Any links I can find which claim to ...
0
votes
1answer
174 views

Listbox with tkinter Treeview, how to avoid empty rows at the end [closed]

I have the following code to build a listbox with Treeview widget. import tkinter as tk import tkinter.ttk as ttk class AppBase: def __init__(self): self.mywin = tk.Tk() self....
1
vote
1answer
530 views

Problem in import/installing python modules (pyserial) in ubuntu 15

Hi I've got problems importing pyserial in both python 2.7 and 3.5 I've tried with pip install, easy_install, deb package, source balls. But always the same : >>> import serial Traceback (...
0
votes
1answer
173 views

Apt-get remove python ~150Mb / apt-get install python 687kb

I did sudo apt-get remove python and it told me that about 150 MB would be freed by this operation. Then, after that I did sudo apt-get install python and it told me that 687 kB of additional ...
0
votes
0answers
21 views

Test gntp notifier for python fails on ubuntu15.10

I have installed gntp notifier for python with the following command: sudo pip install gntp I use sudo because without I cannot run pip (but maybe this is another issue!?). The installation works ...
0
votes
0answers
179 views

E: Sub-process /usr/bin/dpkg returned an error code (1) ubuntu 15.10

When I try to install any software, the following error is coming up: Get:1 http://in.archive.ubuntu.com/ubuntu/ wily/main apport all 2.19.1-0ubuntu3 [117 kB] Fetched 117 kB in 4s (28.4 kB/s) dpkg: ...
1
vote
1answer
76 views

Unable to install a python package in Ubuntu 12.04

I'm trying to install the reddit source code onto ubuntu 12.04.5. I'm at the point where I'm trying to install the python module dependencies from the github guide: $ cd reddit/r2 $ python setup.py ...
0
votes
1answer
2k views

apt-get update errors

Sorry for my english. I have a vServer and everytime then i try to make "apt-get update" this Errors will be come in the end but why? How i can fix that? W: Ignoring Provides line with DepCompareOp ...
0
votes
0answers
196 views

Install python packages behind a proxy

I am trying to install python packages on my PC running on Ubuntu 14.04, and I am behind a proxy. I have been unsuccessful in my attempt. I have tried the following : sudo -E easy_install elm ...
0
votes
0answers
24 views

Which are the security problems on running an http server using Python's built in module?

I've just read this post but I haven't got the necessary points to comment on it. I'm running, $ python -m http.server I wonder which are the security implications about it, with some examples. ...
1
vote
0answers
155 views

Distribution not found error with scrapy

I am running Ubuntu 14.04 and have scrapy 1.-- installed. Before I started calling it from a script I could interact fine with scrapy from the command line. However since then it still works from the ...
3
votes
1answer
273 views

How to get simulate Keyboard typing using python

The idea is simple. Let say I need to get a pre-written sum of text, from a text file, to display on screen using the keyboard to type it out. This is different than just displaying text form regular ...
-1
votes
1answer
681 views

How do I create a Windows executable with PyInstaller on Ubuntu?

I created a game using pygame, and I wish to export it to a .exe file. I've used pyinstaller for this, as it is available for Ubuntu. When I run the --onefile game, it works perfectly fine (on my ...
-1
votes
1answer
2k views

Updating to and using Python 2.7.11 on Ubuntu

I have a virtual machine set up running Ubuntu 14.04.4 which has Python 2.7.6 by default. I've since installed Python 2.7.11 using the instructions here, which has left me with a python installation ...
3
votes
0answers
55 views

Ubuntu 14.04: Is there a way to reset python 2 and all dependencies to the factory setting?

I am a daily user of python 2 and after something (I am not sure but I believe it was pygments) was installed in my system I am not able to make the things work again as before. I have already lost ...
0
votes
0answers
15 views

Sine signal using pyAudio

I want to generate a sine signal where frequency is controlled by me using pyAudio.How can I do it or where can I learn how to use pyAudio
1
vote
1answer
190 views

Environmental variables for anaconda

I'm new to UNIX. On my windows work computer I have anaconda and do a lot of Python work. I installed anaconda on Ubuntu 14. I would like to type conda or activate in a terminal and have those work....
0
votes
0answers
58 views

Python 3.5.1 install - could not create directory /opt/python3.5/lib

When trying to install Python 3.5.1 from source I get an error message to the effect that the directories in /opt could not be created due to missing permissions. I used "make && sudo make ...
0
votes
1answer
49 views

Import python packages problem

I have a problem. I'm trying to install a script written in python. It requires 3.4+ version, and I have python2.7 python3.4 python3.5 installed on my ubuntu 15.10 by default. During setup it throws ...
1
vote
2answers
107 views

Use Multiple IP addresses in the same NIC to Split Internet Requests

How I can use multiple IP addresses that I've added to my NIC to send different requests to different servers? For example, my IP address is: 10.0.0.4 I've added two more IP addresses to my NIC: ...
0
votes
0answers
104 views

How to install pip on wine?

I fail to install pip by: # install wine and python sudo apt-get install wine winetricks winetricks python # try to install pip winetricks pip BTW, there is no pip.exe under Python26/Scripts. ~/....
0
votes
1answer
57 views

Alienware-kbl is not installing due to python3-usb

I am pretty new to Ubuntu and I am trying to install alienware-kbl on my laptop to fix the lights on the keyboard. I have used it in the past with Ubuntu 14.04 and everything worked fine until a few ...
0
votes
1answer
539 views

Unable to install packages with pip (ubuntu 15.10)

I am trying to install packages via pip. Here some information: OS = Ubuntu 15.10 python --version = 2.7.10 pip --version = pip 8.0.2 from /usr/local/lib/python2.7/dist-packages (python 2.7) So far ...
0
votes
0answers
161 views

Getting error when trying to install flask Bcrpt

I am trying to install flask-bcrypt but get the error at the bottom of the below code. I cant seem to figure out what is going wrong. I am pretty new to the linux world so any help would be greatly ...
6
votes
3answers
2k views

Did I do any damage by running “sudo apt-get purge ./python”?

As you know Ubuntu already has python in it. However, I have downloaded the latest 3.5.1 version's source code and compiled it using ./configure make make test sudo make install My pwd at this ...
0
votes
0answers
32 views

Simplegui installation

So... 1) sudo apt-get install python-setuptools 2) sudo apt-get install python-tk 3)sudo easy_install simplegui But the 3rd step doesn't work for me...it says this. Searching for simplegui Reading ...
0
votes
1answer
156 views

Create a copy of virtualenv locally without pip install

Sometime there is a need to create a copy of exiting virtualenv to test extra features of our project. In such a case we need to create a copy of the existing environment and add few more ...
0
votes
1answer
262 views

Jupyter Notebook Installation

It is possible to install Jupyter Notebook throughapt-get install? For example, we can install numpy by using apt-get install python-numpy.
0
votes
1answer
160 views

pip install error ubuntu 15.10 ( Pillow )

When I try to install something with pip I have error. But with sudo everything is ok. pip install pillow Downloading/unpacking pillow Downloading Pillow-3.1.1.tar.gz (10.1MB): 10.1MB downloaded ...
3
votes
2answers
177 views

I tried to install python package.Then some error is showing like “exeption…” why?

Friends,I downloaded and installed pip in my Ubuntu.Then I tried to install packages like PLY and My xml etc.But i got a a sequence of sentences written in red. Exception: Traceback (most recent call ...
0
votes
0answers
36 views

Save to delete all '*.pyc' and '*.pyo' files?

I've read that to resolve an error EOFError: marshal data too short when running a Python script, an approach is to delete all *.pyc and *.pyo files. Is that safe on an Ubuntu system? I mean, those ...
2
votes
2answers
82 views

Software & Updates (software-properties-gtk): 'EOFError: marshal data too short'

I cannot open Software & Updates tool on 14.04 and get the following error: Here is the full output of apt-get update, it shows this warning: W: GPG error: http://dl.bintray.com Release: The ...
0
votes
2answers
65 views

I downloaded and installed pip. How to install packages?

I downloaded and installed pip in Ubuntu. Then I tried to install packages like PLY and My xml etc. But I got a a sequence of sentences written in red. I used pip install ply.3.4.jar to install. What ...
1
vote
1answer
57 views

Executing bash script via python gives syntax error

So, I'm trying to source a file via Python. The code goes something like this: import os source = 'source /home/software/cadence/release2013/setup/xyz.setup p' os.system(source) This gives the ...
0
votes
0answers
10 views

How can I host multiple Python module docs locally?

I'd like to make a local documentation mirror for several Python modules. These modules already host docs on readthedocs.org or are self-hosted with Sphinx-like themes, so I know they're in Sphinx-...
0
votes
0answers
7 views

When I run the software updater does it update all the packages I installed via the terminal, including dependencies?

I am a beginner on Ubuntu. I will explain my problem with an example. For example, if I installed the Google API libraries in Python using the instructions given here, then upon running the software ...
0
votes
0answers
82 views

Problems installing 'quickly'

I am very interested in application development in Ubuntu. Some sites suggest 'quickly' but on installing quickly I get the following errors: Err http://in.archive.ubuntu.com/ubuntu/ trusty-updates/...
0
votes
1answer
69 views

change thunderbird's icon while running

I'm searching a way to temporarily change the icon of an application (thunderbird in my case) while it's running. I tried a dozen of addons, but none if them did the job. Is there a way to code this? ...
1
vote
1answer
240 views

Trying to Install Pip using python-pip

Was trying to install Pip through the command I was getting the following error message. You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies: ....